summaryrefslogtreecommitdiff
path: root/dx/tests/run-test
diff options
context:
space:
mode:
authorAndroid Build Coastguard Worker <android-build-coastguard-worker@google.com>2022-05-11 05:02:13 +0000
committerAndroid Build Coastguard Worker <android-build-coastguard-worker@google.com>2022-05-11 05:02:13 +0000
commit532d7413341dafe58ef8b5f2330db67a04ec0422 (patch)
tree8bb52e82c0372c21d1180473b3d2745af463e64b /dx/tests/run-test
parent6a3496c8c2f30c45bab7afc3244d3ae5ed82f8ad (diff)
parent8fc23049b2837f6ae92b09e0083acfdc08f42d78 (diff)
downloaddalvik-bacfa79a94582599988fa59ce3bd0578f4620604.tar.gz
Snap for 8570526 from 8fc23049b2837f6ae92b09e0083acfdc08f42d78 to mainline-ipsec-releaseaml_ips_331910010aml_ips_331312000aml_ips_331310000aml_ips_331111030aml_ips_331014020android13-mainline-ipsec-release
Change-Id: Ic75855e1008bd2520b2f58fcc02f311115cfbd51
Diffstat (limited to 'dx/tests/run-test')
-rwxr-xr-xdx/tests/run-test8
1 files changed, 7 insertions, 1 deletions
diff --git a/dx/tests/run-test b/dx/tests/run-test
index a781d8d59..cf80cc093 100755
--- a/dx/tests/run-test
+++ b/dx/tests/run-test
@@ -35,7 +35,7 @@ prog="${progdir}"/`basename "${prog}"`
if [[ -z "${JAVA_HOME}" ]]; then
unix=$(uname | tr '[A-Z]' '[a-z]')
- JAVA_HOME="${progdir}/../../../prebuilts/jdk/jdk8/${unix}-x86"
+ JAVA_HOME="${progdir}/../../../prebuilts/jdk/jdk11/${unix}-x86"
fi
if [[ ! -d "${JAVA_HOME}" ]]; then
@@ -49,6 +49,12 @@ if [ "!" -e "$JAVAC" ]; then
exit 1
fi
+export JAVA="${JAVA_HOME}/bin/java"
+if [ "!" -e "$JAVA" ]; then
+ echo "Missing JAVA executable: ${JAVA}" 1>&2
+ exit 1
+fi
+
info="info.txt"
run="run"
expected="expected.txt"